Requirements

If you would like to participate you need:

  • Install and configure the latest version of Apache Web Server
  • Install and configure the latest version of MySql
  • Install and configure GIT & Composer
  • Install PoEdit (project localization tool)
  • Install and configure PHPStorm or you preferite PHP IDE

What do I need to know before starting to develop?

We designed ShineISP in a modular way, you have to be an expert on programming to start developing. It may however come in handy when you have a (basic) knowledge of one or more of these fields:

  • PHP
    • Zend Framework v.2.x
    • OOP
    • MVC Programming
  • Database SQL
    • MySQL
  • CSS
    • Twitter Bootstrap
  • HTML
  • XML
  • Web Services
  • SOAP / RESTful
  • Javascript
    • JQUERY

Video Introduction

This is a simple video preview of the source code and the Zend Framework 2 module structure: http://youtu.be/HGNKwzvtAUE (deprecated)

results matching ""

    No results matching ""